MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003975ATutorFile Storagepublic2009-10-23 09:522009-11-05 11:11
Reportergreg 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0003975: Guest in FS Comments changes
DescriptionWhen a guest comments on a file in file storage, the comments is listed as belonging to guest, become listed as the current user when someone else views the comment. When I login, the guest comment is listed as greg's.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships
has duplicate 0003974closedharris File storage comment's author name got replaced 

-  Notes
(0003806)
harris (developer)
2009-10-26 10:43

Related to get_display_name() that blindly prints out $_SESSION('login_name') if member_id==0.
(0003807)
harris (developer)
2009-10-26 10:44

return _AT('guest') instead of session('login');

svn: 8852

- Issue History
Date Modified Username Field Change
2009-10-23 09:52 greg New Issue
2009-10-23 09:52 greg Affects version => SVN
2009-10-26 05:27 harris Relationship added has duplicate 0003974
2009-10-26 10:43 harris Note Added: 0003806
2009-10-26 10:44 harris Status new => resolved
2009-10-26 10:44 harris Resolution open => fixed
2009-10-26 10:44 harris Assigned To => harris
2009-10-26 10:44 harris Note Added: 0003807
2009-11-05 11:11 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker